# ApplicationFramework
TKShapeSchema
ShapeSchema

# ShapeSchema_PTopoDS_FieldOfHArray1OfHShape Class Reference

`#include <ShapeSchema_PTopoDS_FieldOfHArray1OfHShape.hxx>`

## Static Public Member Functions

static Standard_EXPORT void | SAdd (const PTopoDS_FieldOfHArray1OfHShape &, const Handle(Storage_Schema)&aSchema)
static Standard_EXPORT void | SWrite (const PTopoDS_FieldOfHArray1OfHShape &, Storage_BaseDriver &aDriver, const Handle(Storage_Schema)&aSchema)
static Standard_EXPORT void | SRead (PTopoDS_FieldOfHArray1OfHShape &, Storage_BaseDriver &aDriver, const Handle(Storage_Schema)&aSchema)

## Member Function Documentation

static Standard_EXPORT void ShapeSchema_PTopoDS_FieldOfHArray1OfHShape::SAdd | ( | const PTopoDS_FieldOfHArray1OfHShape & | ,
|  | const Handle(Storage_Schema)& | aSchema
| ) | `[static]`

static Standard_EXPORT void ShapeSchema_PTopoDS_FieldOfHArray1OfHShape::SRead | ( | PTopoDS_FieldOfHArray1OfHShape & | ,
|  | Storage_BaseDriver & | aDriver,
|  | const Handle(Storage_Schema)& | aSchema
| ) | `[static]`

static Standard_EXPORT void ShapeSchema_PTopoDS_FieldOfHArray1OfHShape::SWrite | ( | const PTopoDS_FieldOfHArray1OfHShape & | ,
|  | Storage_BaseDriver & | aDriver,
|  | const Handle(Storage_Schema)& | aSchema
| ) | `[static]`

The documentation for this class was generated from the following file:

- ShapeSchema_PTopoDS_FieldOfHArray1OfHShape.hxx